Create WebSocket cluster
curl --request POST \
--url https://cloud.laravel.com/api/websocket-servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "reverb",
"max_connections": 123
}
'import requests
url = "https://cloud.laravel.com/api/websocket-servers"
payload = {
"name": "<string>",
"type": "reverb",
"max_connections": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', type: 'reverb', max_connections: 123})
};
fetch('https://cloud.laravel.com/api/websocket-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "websocketServers",
"attributes": {
"name": "<string>",
"type": "reverb",
"hostname": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"applications": {
"data": [
{
"type": "websocketApplications",
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"type": "websocketApplications",
"attributes": {
"name": "<string>",
"app_id": "<string>",
"allowed_origins": [
"<unknown>"
],
"ping_interval": 123,
"activity_timeout": 123,
"max_message_size": 123,
"max_connections": 123,
"key": "<string>",
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"server": {
"data": {
"type": "websocketServers",
"id": "<string>"
}
}
}
}
]
}{
"message": ""
}{
"message": "<string>",
"errors": {}
}WebSocket Clusters
Create WebSocket cluster
Create a new WebSocket cluster with a default application.
POST
/
websocket-servers
Create WebSocket cluster
Authorizations
The Bearer Token generated on the Cloud UI.
Body
application/json
Required string length:
3 - 40Pattern:
^[a-z0-9_-]+$Available options:
reverb Available options:
us-east-2, us-east-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, me-central-1, ap-southeast-1, ap-southeast-2, ap-northeast-1 Was this page helpful?
⌘I

